Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Blender benötigt angeblich nichtexistentes Python 3.3
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Haubentaucher
n00b
n00b


Joined: 28 Feb 2011
Posts: 60

PostPosted: Sat Jun 11, 2011 6:12 pm    Post subject: Blender benötigt angeblich nichtexistentes Python 3.3 Reply with quote

Hallo,

ich wollte neulich das neue Blender installieren. Also habe ich diese Zeile in die package.keywords geschrieben:
Code:
=media-gfx/blender-2.57* ~amd64


Seitdem beschwert sich Emerge immer, dass er Python 3.3 nicht installieren kann:
Code:
emerge: there are no ebuilds to satisfy "=dev-lang/python-3.3*".
(dependency required by "media-gfx/blender-2.57-r1" [ebuild])

Python 3.3 existiert noch gar nicht (zumindest im Portage-Tree), ist aber vom Blender ebuild auch nicht gefordert:
Code:
$ cat /usr/portage/media-gfx/blender/blender-2.57-r1.ebuild
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/blender/blender-2.57-r1.ebuild,v 1.2 2011/05/17 17:50:51 ssuominen Exp $

PYTHON_DEPEND="3:3.2"

EAPI=3
...

Wie bekomme ich den Fehler weg?
Back to top
View user's profile Send private message
Speculi
n00b
n00b


Joined: 13 Feb 2009
Posts: 5

PostPosted: Sun Jun 12, 2011 11:23 am    Post subject: Reply with quote

Scheint ein Portage-Bug zu sein. Das ebuild verlang python-3.2

Du musst auf Python 3.2 updaten, dann sollte auch Blender durchlaufen. Bei mir hat es funktioniert.
Back to top
View user's profile Send private message
Haubentaucher
n00b
n00b


Joined: 28 Feb 2011
Posts: 60

PostPosted: Sun Jun 12, 2011 4:00 pm    Post subject: Reply with quote

Hat funktioniert.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum